Early access
List documents in a folder
Lists documents across employees in one folder. `created_at` is the upload time and `updated_at` the last change, not an invoice date. Download file URLs before their expiry; list the documents again to obtain fresh URLs.
Lists documents across employees in one folder. created_at is the upload time and updated_at the last change, not an invoice date. Download file URLs before their expiry; list the documents again to obtain fresh URLs.
Path Parameters
int32Query Parameters
Page number
int321 <= value1Documents per page (maximum 100)
int321 <= value <= 10050created_at after an ISO 8601 timestamp with timezone
date-timecreated_at on or after an ISO 8601 timestamp with timezone
date-timecreated_at before an ISO 8601 timestamp with timezone
date-timecreated_at on or before an ISO 8601 timestamp with timezone
date-timeupdated_at after an ISO 8601 timestamp with timezone
date-timeupdated_at on or after an ISO 8601 timestamp with timezone
date-timeupdated_at before an ISO 8601 timestamp with timezone
date-timeupdated_at on or before an ISO 8601 timestamp with timezone
date-timeResponse Body
application/json
curl -X GET "https://example.com/api/v4/document_folders/0/documents"{ "data": [ { "id": 0, "employee_id": 0, "document_folder_id": 0, "name": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "type": "file", "url": "string", "original_filename": "string", "content_type": "string", "byte_size": 0, "expires_at": "2019-08-24T14:15:22Z" } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}